#include <owl\applicat.h>
#include <owl\mdi.h>
#include <owl\mdichild.h>
#include <stdio.h>
#include "pr45_1.rc"

// .
class TApp: public TApplication
{
  public:
	 TApp():TApplication(){}
	 void InitMainWindow();
};

// -.
class TMDIClientTWndw : public TMDIClient
{
  public:
	  TMDIClientTWndw();
  protected:
          int childNum;
          TMDIChild *InitChild();  
};

//TMDIClientTWndw::TMDIClientTWndw()
//   -.
TMDIClientTWndw::TMDIClientTWndw() : TMDIClient()
{
  childNum = 1;  
}

//TMDIClientTWndw::InitChild()
//  ,   
// TMDIClient,    MDI,  
//    -.
TMDIChild *TMDIClientTWndw::InitChild()
{
  char s[20];
  sprintf (s, "  #%d", childNum);
  ++childNum;
  return new TMDIChild(*this, s);
}

void TApp::InitMainWindow()
{
  //  -.
  TMDIClient *clientTWndw = new TMDIClientTWndw;
  //   .
  TMDIFrame *wndw= new TMDIFrame("MDI-",MENU_1,*clientTWndw);
  //    MainWindow .
  SetMainWindow(wndw);
}

int OwlMain(int,char *[])
{
  return TApp().Run();
}
